package de.ozgcloud.alfa.statistic;

public class StatisticTestFactory {

	public static final int COUNT_WIEDERVORLAGEN = 8;
	public static final boolean EXISTS_WIEDERVORLAGE_OVERDUE = true;

	public static Statistic create() {
		return createBuilder().build();
	}

	public static Statistic.StatisticBuilder createBuilder() {
		return Statistic.builder()
				.byStatus(ByStatusTestFactory.create())
				.wiedervorlagen(COUNT_WIEDERVORLAGEN)
				.existsWiedervorlageOverdue(EXISTS_WIEDERVORLAGE_OVERDUE);
	}
}
