package de.ozgcloud.alfa.file;

import de.xoev.xdomea.DateiformatCodeType;

enum DateiformatCode {
	PDF("vCBzR", "018");

	static final String LIST_URI = "urn:xoev-de:xdomea:codeliste:dateiformat";
	final String listVersionID;
	final String code;

	DateiformatCode(String listVersionID, String code) {
		this.listVersionID = listVersionID;
		this.code = code;
	}

	public DateiformatCodeType createDateiformatCodeType() {
		var dateiformatCode = new DateiformatCodeType();
		dateiformatCode.setCode(code);
		dateiformatCode.setListURI(LIST_URI);
		dateiformatCode.setListVersionID(listVersionID);
		return dateiformatCode;
	}
}
