package de.ozgcloud.alfa.vorgang;

import java.util.Collections;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import de.xoev.xdomea.AnwendungsspezifischeErweiterungType;

@Component
class AnwendungsspezifischeErweiterungTypeCreator {

	static final String KENNUNG = "IDOZGCloud1234567";
	static final String NAME = "Anwendungsspezifische Erweiterung OZGCloud Basis";

	@Autowired
	private FeldGruppeTypeCreator feldGruppeTypeCreator;

	public AnwendungsspezifischeErweiterungType create(VorgangWithEingang vorgang) {
		var ozgcloudErweiterungType = new AnwendungsspezifischeErweiterungType();
		ozgcloudErweiterungType.setKennung(KENNUNG);
		ozgcloudErweiterungType.setName(NAME);
		ozgcloudErweiterungType.getFeldgruppe().addAll(Collections.singleton(feldGruppeTypeCreator.create(vorgang)));
		return ozgcloudErweiterungType;
	}

}
