import { Component, EventEmitter, Input, Output } from '@angular/core';
import { CommandResource } from '@alfa-client/command-shared';
import { StateResource, createEmptyStateResource } from '@alfa-client/tech-shared';

@Component({
	selector: 'alfa-create-bescheid-button',
	templateUrl: './create-bescheid-button.component.html',
	styleUrls: ['./create-bescheid-button.component.scss'],
})
export class CreateBescheidButtonComponent {

	@Input() createBescheidCommand: StateResource<CommandResource> = createEmptyStateResource<CommandResource>();

	@Output() createBescheid: EventEmitter<void> = new EventEmitter();
}
