import { ComponentFixture, TestBed } from '@angular/core/testing';
import { MockComponent } from "ng-mocks";
import { DocumentationComponent } from './documentation.component';
import { OpenDocumentationButtonComponent } from "./open-documentation-button/open-documentation-button.component";

describe('DocumentationComponent', () => {
	let component: DocumentationComponent;
	let fixture: ComponentFixture<DocumentationComponent>;

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				DocumentationComponent,
				MockComponent(OpenDocumentationButtonComponent)
			],
		}).compileComponents();

		fixture = TestBed.createComponent(DocumentationComponent);
		component = fixture.componentInstance;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});
});
