package de.ozgcloud.alfa.vorgang;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import de.xoev.xdomea.AnwendungsspezifischeErweiterungXMLType;

@Component
public class AnwendungsspezifischeErweiterungXMLTypeCreator {

	@Autowired
	private FormDataMapper formDataMapper;

	public AnwendungsspezifischeErweiterungXMLType create(VorgangWithEingang vorgang) {
		var erweiterungXmlType = new AnwendungsspezifischeErweiterungXMLType();
		erweiterungXmlType.getAny().add(formDataMapper.toAntragsdaten(vorgang));
		return erweiterungXmlType;
	}
}
